Subject: Re: 23.0.60; org-mode does not honour shift-select-mode

From: Chong Yidong <[email-masked]>
Date: Mon, 19 Jan 2009 22:18:08 -0500

Hi Carsten,

Here's a bug report/feature request for org mode.  Adding
shift-selection should be as simple as changing (interactive "P") to
(interactive "^P") in the relevant functions.  I don't know if this
might break XEmacs, though.

"Andreas Amann" <[email-masked]> wrote:

> since shift-select-mode is set to t by default (see src/callint.c), I
> would expect that shift-movements select a region, and that major
> modes should not override this behaviour, without being asked of doing
> so.

> actual behaviour: upon shift-left the binding org-shiftleft is called
> which marks the current item as "DONE". This is very confusing for
> people accostumed to shift-selection, which works very well in all
> other emacs modes I know.